Jump to content

Default-bootstrap theme Presta 1.6. czy jest możliwość instalacji w 1.5?


Recommended Posts

Jak w temacie - chciałabym zainstalować w Presta 1.5 defaultowy theme z 1.6.0.8 (default-bootstrap) czy jest taka możliwość?

Ogromnie mi zależy, bo mam już wersję opracowaną w css, dostosowaną do moich potrzeb i nie chciałabym tego robić od początku na innym, nowym szablonie

Share this post


Link to post
Share on other sites

Doszłam do tego, że możliwość zmiany tekstów w tym bloku przestaje działaś w momencie założenia innych sklepów w multisklepie. 

Jak jest jeden w kategorii głównej, to wszystko działa. Jak założę inną kategorię - wszystko działa. Jak założę inny sklep - przestaje działaś (nie można zmienić tych tekstów). :-(

 

>>Przepraszam ten wpis dotyczy innego tematu i nie wiem, czemu się tu zawieruszył :-( <<

Edited by feronek (see edit history)

Share this post


Link to post
Share on other sites

Ogólnie nie rozumiem Twojej taktyki. 

Zrób sobie backup wersji 1.5. Następnie wgraj ją gdzieś i zrób na niej update do 1.6.0.9 i ustaw wszystko żeby działo jak trzeba. 

Jak wyjdzie wersja 1.6.1 to zrób update na głównym serwerze i wgraj te zmiany , które zrobiłeś na testowym. 

Share this post


Link to post
Share on other sites

Moja taktyka jest bardzo prosta - wersja 1.6 ma wiele buguw, mniej modułów itp, itd. i wolałabym działać na wersji 1.5, a mam przygotowany szablon do wersji 1.6, który chciałabym zastosować w 1.5 - cała filozofia. 

 

Jednym z buguw wersji 1.6 jest np. blok cms (cmsinfo), który przestaje być edytowalny w momencie gdy założę więcej niż jeden sklep - a tak nie powinno być. Nie jestem koderem, więc nie przerobię tego modułu tak, żeby zawsze miał kontakt z bazą danych, a nie mam czasu żeby czekać aż ktoś to naprawi.

Share this post


Link to post
Share on other sites

 

 

Moja taktyka jest bardzo prosta - wersja 1.6 ma wiele buguw, mniej modułów itp, itd. i wolałabym działać na wersji 1.5, a mam przygotowany szablon do wersji 1.6, który chciałabym zastosować w 1.5 - cała filozofia. 

zdecydowana większość aktualnych modułow z prestashop 1.6 nie działa poprawnie w prestashop 1.5, 

chyba, że mówisz o niestandardowych modułach

 

w każdym razie, aby szablon z 1.6 działał w 1.5 trzeba dużo rzeczy zmienić, 

zacząć trzeba od plików js dołączonych do frontControllera

 

trzeba go zaktualizować, aby dodawał takie same biblioteki.

i tak Cię czeka grzebanie w kodzie ;-)

Share this post


Link to post
Share on other sites

Ok, rozumiem i zdaję sobie sprawę, że najlepiej działać na nowszych wersjach. To może podpowiecie mi co można zrobić z blokiem informacji CMS (Własny blok informacyjny CMS - taką ma nazwę w Presta), ponieważ kiedy dodaję kolejny sklep (opcja Multistore) to ten blok przestaje być edytowalny - można wejść w edycję ale żadne zmiany nie są zapisywane (m.in. z tego powodu pomyślałam o zmianie na 1.5).

Share this post


Link to post
Share on other sites

Wersja najnowsza (ta, defaultowo ładowana z Presta 1.6.0.9). Z konfigurowaniem modułu kombinowałam już na różne sposoby. Najpierw konfigurowałam dla wszystkich sklepów, później dla poszczególnych - za każdym razem ten sam efekt (nie można zapisać zmian). Zapisywanie jest możliwe wyłącznie wówczas, gdy jest tylko jeden sklep. Nie ma też znaczenia czy nowy sklep jest w grupie defaultowej czy w nowo utworzonej grupie - zmian w treści "Własnego bloku informacji CMS" dokonać się nie da icon_e_sad.gif


 


Odinstalowanie i zainstalowanie na nowo też nie pomaga


Edited by feronek (see edit history)

Share this post


Link to post
Share on other sites

 Share

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More